## dballe 7.7

=== debian/changelog ===
dballe (7.7-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Change python:Depends to python3:Depends for python3-dballe so that
    correct binary depends are generated
  * Remove obsolete python packaging features from debian/control

  [ Enrico Zini ]
  * New upstream version
  * Applied Scott's patch. Closes: #810062

 -- Enrico Zini <enrico@debian.org>  Fri, 29 Jan 2016 10:25:17 +0100

dballe (7.6-1) unstable; urgency=medium

  * New upstream release
     - big refactoring, extracting the beginning of a stable API/ABI
     - ported to wreport 3
     - removed internal provami, now a separate package:
       https://github.com/ARPA-SIMC/provami

 -- Enrico Zini <enrico@debian.org>  Mon, 23 Nov 2015 12:07:50 +0100

dballe (7.1-1) UNRELEASED; urgency=medium

  * New upstream release
     - implemented encoding and decoding of radiation data
     - implemented handling of temperature change information in synop messages
     - deal with SYNOP messages which do not transmit the pressure of the
       standard level
     - implemented native PostgreSQL connection
     - implemented native MySQL connection
     - removed support for V5 database formats.
     - if DBA_LOGDIR is set, it creates a log file in that directory with a
       JSON trace of all significant usage of the library

 -- Enrico Zini <enrico@enricozini.org>  Tue, 31 Mar 2015 14:47:14 +0200

dballe (7.0-1) unstable; urgency=medium

  * New upstream release
     - rewritten database connection interface to support multiple connector
       backends: now supported are ODBC and libsqlite3

 -- Enrico Zini <enrico@enricozini.org>  Mon, 08 Dec 2014 19:27:41 +0100
