=== debian/control ===
Source: dballe
Section: misc
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 9), dh-python, dh-autoreconf,
  autotools-dev, pkg-config,
  libsqlite3-dev,
  libwreport-dev (>= 3.0), python-wreport, python3-wreport,
  libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
  libcnf-dev, gfortran | g77,
  doxygen-latex, ghostscript,
  python-all-dev, python3-all-dev, python-docutils, python-numpy, python3-numpy,
  python-six, python3-six
Standards-Version: 3.9.6.0
Homepage: https://github.com/ARPA-SIMC/dballe
Vcs-Git: https://github.com/ARPA-SIMC/dballe

Package: libdballe-dev
Section: libdevel
Architecture: any
Depends: libdballe7 (= ${binary:Version}), libwreport-dev, ${misc:Depends}
Recommends: pkg-config
Description: DB-All.e C development library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 The Debian packaging of DB-All.e includes all the features of the libraries,
 but any subset can be used without interference from other subsets.  It is
 also possible to rebuild the library to include only those features that are
 needed.
 .
 Features provided:
 .
  * Unit conversion
  * Handling of physical variables
  * Encoding and decoding of BUFR and CREX reports from:
     * fixed land and sea stations, like synops and buoys
     * mobile stations: ships, airplanes
     * soundings: temp, pilot
     * METAR reports
     * Satellite strides (decode only)
  * Decoding of AOF reports
  * Interpretation of weather reports as physical data precisely located in
    space and time, and encoding of physical data into weather reports.
  * Smart on-disk database for observed and forecast weather data based on
    physical principles, built to support operations such as quality control,
    data thinning, correlation of data from mixed sources

Package: libdballe-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the DB-ALL.e C library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the documentation for the DB_All.e development the library.

Package: libdballe7
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
Description: DB-ALL.e C shared library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for C programs.

Package: libdballef-dev
Section: libdevel
Architecture: any
Depends: libdballef4 (=${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description: DB-All.e Fortran development library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the DB-All.e Fortran API, designed to make it easy to use the DB-All.e
 database as a smart working area for meteorological software.

Package: libdballef4
Section: libs
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
Description: DB-ALL.e Fortran shared library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This is the shared library for Fortran programs.

Package: python-dballe
Section: python
Architecture: any
Depends: dballe-common, python-wreport, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-numpy
Suggests: python-rpy2
Description: DB-ALL.e Python library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 These are the Python bindings.

Package: python3-dballe
Section: python
Architecture: any
Depends: dballe-common, python3-wreport, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: python3-numpy
Suggests: python3-rpy2
Description: DB-ALL.e Python library for weather research
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 These are the Python bindings.

Package: dballe-common
Section: misc
Architecture: all
Depends: ${misc:Depends}
Description: Common data files for all DB-All.e modules
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This package contains common DB-All.e data files, including variable metadata,
 BUFR and CREX decoding tables, report metadata, level and time range
 descriptions.

Package: dballe
Section: misc
Architecture: any
Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-dballe
Description: Database for punctual meteorological data (Command line tools)
 DB-All.e is a fast on-disk database where meteorological observed and
 forecast data can be stored, searched, retrieved and updated.
 .
 This framework allows one to manage large amounts of data using its simple
 Application Program Interface, and provides tools to visualise, import
 and export in the standard formats BUFR, AOF and CREX.
 .
 The main characteristics of DB-ALL.e are:
 .
  * Fortran, C, C++ and Python APIs are provided.
  * To make computation easier, data is stored as physical quantities,
    that is, as measures of a variable in a specific point of space and
    time, rather than as a sequence of report.
  * Internal representation is similar to BUFR and CREX WMO standard
    (table code driven) and utility for import and export are included
    (generic and ECMWF template).
  * Representation is in 7 dimensions: latitude and longitude geographic
    coordinates, table driven vertical coordinate, reference time,
    table driven observation and forecast specification, table driven
    data type.
  * It allows one to store extra information linked to the data, such as
    confidence intervals for quality control.
  * It allows one to store extra information linked to the stations.
  * Variables can be represented as real, integer and characters, with
    appropriate precision for the type of measured value.
  * It is based on physical principles, that is, the data it contains are
    defined in terms of homogeneous and consistent physical data. For
    example, it is impossible for two incompatible values to exist in the
    same point in space and time.
  * It can manage fixed stations and moving stations such as airplanes or
    ships.
  * It can manage both observational and forecast data.
  * It can manage data along all three dimensions in space, such as data
    from soundings and airplanes.
  * Report information is preserved. It can work based on physical
    parameters or on report types.
