=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell debian/vercheck)
RELEASE_PACKAGE=dballe

# Work around to latex2html bug #368693
export RGBDEF=/usr/share/latex2html/styles/rgb.txt

%:
	dh --with autoreconf,python2,python3 $@

# #DEB_MAKE_CHECK_TARGET := check
# 
# # From http://wiki.debian.org/DebianPython/NewPolicy
# binary-install/python-dballe::
# 	rm -f $(CURDIR)/debian/python-dballe/usr/share/pyshared/_dballe.la
# 	rm -f $(CURDIR)/debian/python-dballe/usr/lib/python?.?/dist-packages/_dballe.la

override_dh_auto_install:
	dh_auto_install
	# Build and install the python bindings for each different python version
	for ver in `pyversions -vr`; do \
		dh_auto_configure -- PYTHON=/usr/bin/python$$ver ; \
		make clean -C python ; \
		make install -C python DESTDIR=`pwd`/debian/tmp ; \
	done
	# Build and install the python bindings for each different python version
	for ver in `py3versions -vr`; do \
		dh_auto_configure -- PYTHON=/usr/bin/python$$ver ; \
		make clean -C python ; \
		make install -C python DESTDIR=`pwd`/debian/tmp ; \
	done
	# Remove python modules .la files
	rm -f debian/tmp/usr/lib/python*/dist-packages/*.la

vercheck:
	debian/vercheck > /dev/null

debsrc: vercheck
	if [ ! -f ../$(RELEASE_PACKAGE)_$(VERSION).orig.tar.gz ]; then \
		test -f Makefile || ./configure; \
		make dist; \
		mv $(RELEASE_PACKAGE)-$(VERSION).tar.gz ../$(RELEASE_PACKAGE)_$(VERSION).orig.tar.gz; \
	fi
	gbp buildpackage -S -us -uc
