## dballe 7.19

=== debian/changelog ===
dballe (7.19-1) unstable; urgency=medium

  * New upstream version
     - fixed rounding error on i386. Closes: #834784

 -- Enrico Zini <enrico@debian.org>  Fri, 19 Aug 2016 15:07:21 +0200

dballe (7.18-1) unstable; urgency=medium

  * New upstream version
     - depend on newer libwreport
  * Added missing help2man dependency

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Aug 2016 16:27:42 +0200

dballe (7.17-1) unstable; urgency=medium

  * New upstream version
     - fixed build failures on 32bit machines

 -- Enrico Zini <enrico@debian.org>  Thu, 18 Aug 2016 11:11:43 +0200

dballe (7.16-1) unstable; urgency=medium

  * New upstream version
     - Redone documentation from LaTeX to Markdown
     - Introduced new SQL schema "V7"
     - Refactored Fortran bindings to not need CNF
  * Dropped LaTeX dependencies
  * Dropped CNF dependency
  * Increased libdballef soname
  * Updated Standards-Version, no changes required

 -- Enrico Zini <enrico@debian.org>  Wed, 17 Aug 2016 11:09:02 +0200
