=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Enrico Zini <enrico@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, dh-autoreconf,
-  autotools-dev, pkg-config,
-  libsqlite3-dev,
-  libwreport-dev (>= 3.0), python-wreport, python3-wreport,
-  libpopt-dev, unixodbc-dev, gperf, liblua5.1-0-dev,
-  libcnf-dev, gfortran | g77,
-  doxygen-latex, ghostscript,
+  autotools-dev, pkg-config, doxygen, help2man,
+  libsqlite3-dev, libpq-dev, libmysqlclient-dev,
+  libwreport-dev (>= 3.6), python-wreport, python3-wreport,
+  libpopt-dev, gperf, liblua5.1-0-dev,
+  gfortran | g77,
   python-all-dev, python3-all-dev, python-docutils, python-numpy, python3-numpy,
   python-six, python3-six
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8.0
 Homepage: https://github.com/ARPA-SIMC/dballe
 Vcs-Git: https://github.com/ARPA-SIMC/dballe
 
@@ -69,7 +68,7 @@
 Package: libdballef-dev
 Section: libdevel
 Architecture: any
-Depends: libdballef4 (=${binary:Version}), ${misc:Depends}
+Depends: libdballef5 (=${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
 Description: DB-All.e Fortran development library for weather research
  DB-All.e is a fast on-disk database where meteorological observed and
@@ -78,7 +77,7 @@
  This is the DB-All.e Fortran API, designed to make it easy to use the DB-All.e
  database as a smart working area for meteorological software.
 
-Package: libdballef4
+Package: libdballef5
 Section: libs
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
