## dballe 7.21

=== debian/changelog ===
dballe (7.21-1build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 14 May 2017 14:28:48 +0530

dballe (7.21-1) unstable; urgency=medium

  * New upstream version
  * Build-Depend on default-libmysqlclient-dev. Closes: #845833
  * Updated debhelper compatibility level to 10

 -- Enrico Zini <enrico@debian.org>  Fri, 09 Dec 2016 11:27:58 +0100
