## dballe 8.6

=== debian/changelog ===
dballe (8.6-1ubuntu1) focal; urgency=medium

  * d/p/mysql8_my_bool.patch: Reintroduce my_bool to fix build with MySQL 8.
    (LP: #1863026)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 12 Feb 2020 20:11:06 -0300

dballe (8.6-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new.

 -- Enrico Zini <enrico@debian.org>  Sun, 29 Dec 2019 16:48:39 +0100

dballe (8.3-1) unstable; urgency=medium

  * New upstream version. Closes: #853367, #934814, #793229, #936368
     - reviewed and extended stable API
     - significantly more comprehensive python bindings
     - added dbadb --varlist
  * Added missing build-depend on libtool, which is called explicitly by test
    scripts
  * Deal with gcc7 symbols changes. Closes: #871272

 -- Enrico Zini <enrico@debian.org>  Fri, 30 Aug 2019 10:33:57 +0200
