=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: dballe
 Section: misc
 Priority: optional
-Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 10), dh-python, dh-autoreconf,
-  autotools-dev, pkg-config, doxygen, help2man,
-  libsqlite3-dev, libpq-dev, default-libmysqlclient-dev,
-  libwreport-dev (>= 3.6), python-wreport, python3-wreport,
-  libpopt-dev, gperf, liblua5.1-0-dev,
-  gfortran | g77,
-  python-all-dev, python3-all-dev, python-docutils, python-numpy, python3-numpy,
-  python-six, python3-six
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
+Build-Depends: debhelper (>= 10), dh-python,
+  pkg-config, libtool,
+  doxygen, help2man, python3-sphinx, python3-breathe,
+  libsqlite3-dev (>= 3.14), libpq-dev, default-libmysqlclient-dev,
+  libwreport-dev (>= 3.23-2), python3-wreport (>= 3.22),
+  libwreport-doc (>= 3.23-2),
+  libpopt-dev, gperf,
+  gfortran | g77, g++ (>= 4:7),
+  python3-all-dev, python3-numpy, python3-docutils
 Standards-Version: 3.9.8.0
 Homepage: https://github.com/ARPA-SIMC/dballe
 Vcs-Git: https://github.com/ARPA-SIMC/dballe
@@ -17,7 +19,7 @@
 Package: libdballe-dev
 Section: libdevel
 Architecture: any
-Depends: libdballe7 (= ${binary:Version}), libwreport-dev, ${misc:Depends}
+Depends: libdballe8 (= ${binary:Version}), libwreport-dev (>= 3.22), ${misc:Depends}
 Recommends: pkg-config
 Description: DB-All.e C development library for weather research
  DB-All.e is a fast on-disk database where meteorological observed and
@@ -38,7 +40,6 @@
      * soundings: temp, pilot
      * METAR reports
      * Satellite strides (decode only)
-  * Decoding of AOF reports
   * Interpretation of weather reports as physical data precisely located in
     space and time, and encoding of physical data into weather reports.
   * Smart on-disk database for observed and forecast weather data based on
@@ -55,7 +56,7 @@
  .
  This is the documentation for the DB_All.e development the library.
 
-Package: libdballe7
+Package: libdballe8
 Section: libs
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
@@ -87,24 +88,11 @@
  .
  This is the shared library for Fortran programs.
 
-Package: python-dballe
-Section: python
-Architecture: any
-Depends: dballe-common, python-wreport, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Recommends: python-numpy
-Suggests: python-rpy2
-Description: DB-ALL.e Python library for weather research
- DB-All.e is a fast on-disk database where meteorological observed and
- forecast data can be stored, searched, retrieved and updated.
- .
- These are the Python bindings.
-
 Package: python3-dballe
 Section: python
 Architecture: any
-Depends: dballe-common, python3-wreport, ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: dballe-common, python3-wreport (>= 3.22), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Recommends: python3-numpy
-Suggests: python3-rpy2
 Description: DB-ALL.e Python library for weather research
  DB-All.e is a fast on-disk database where meteorological observed and
  forecast data can be stored, searched, retrieved and updated.
@@ -127,14 +115,14 @@
 Section: misc
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
-Recommends: python-dballe
-Description: Database for punctual meteorological data (Command line tools)
+Recommends: python3-dballe
+Description: Database for point-based meteorological data (Command line tools)
  DB-All.e is a fast on-disk database where meteorological observed and
  forecast data can be stored, searched, retrieved and updated.
  .
  This framework allows one to manage large amounts of data using its simple
  Application Program Interface, and provides tools to visualise, import
- and export in the standard formats BUFR, AOF and CREX.
+ and export in the standard formats BUFR, and CREX.
  .
  The main characteristics of DB-ALL.e are:
  .
