=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell debian/vercheck)
RELEASE_PACKAGE=dballe

%:
	dh $@ --with autoreconf,python3,sphinxdoc

# #DEB_MAKE_CHECK_TARGET := check

override_dh_makeshlibs:
	# For new symbols when compiled with GCC 7. See: #871272
	dh_makeshlibs -V'libdballe (>= 8.3-1~)'

override_dh_auto_install:
	dh_auto_install
	# Build and install the python bindings for each different python version
	for ver in `py3versions -vr`; do \
		dh_auto_configure -- PYTHON=/usr/bin/python$$ver ; \
		make clean -C python ; \
		make install -C python DESTDIR=`pwd`/debian/tmp ; \
	done
	# Remove python modules .la files
	rm -f debian/tmp/usr/lib/python*/dist-packages/*.la

vercheck:
	debian/vercheck > /dev/null

debsrc: vercheck
	if [ ! -f ../$(RELEASE_PACKAGE)_$(VERSION).orig.tar.gz ]; then \
		test -f Makefile || ./configure; \
		make -j4; \
		make dist; \
		mv $(RELEASE_PACKAGE)-$(VERSION).tar.gz ../$(RELEASE_PACKAGE)_$(VERSION).orig.tar.gz; \
	fi
	gbp buildpackage -S -us -uc
