## dballe 9.4

=== debian/changelog ===
dballe (9.4-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new.
  * Explicitly include dballef.mod in debian/libdballef-dev.install.
    Closes: #1028098

 -- Enrico Zini <enrico@debian.org>  Tue, 10 Jan 2023 14:47:53 +0100

dballe (9.3-2) unstable; urgency=medium

  * Build-Depend on python3-dev instead of python3-all-dev (Closes: #1024255)
  * Depend on dh-sequence-sphinxdoc, simplifying debian/rules and B-D list
  * Depend on debhelper-compat, removed debian/compat

 -- Enrico Zini <enrico@debian.org>  Sat, 19 Nov 2022 13:42:43 +0100

dballe (9.3-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new. Closes: #957123
  * Updated Standards-Version
  * Updated Vcs-* packages
  * Build with meson instead of autotools

 -- Enrico Zini <enrico@debian.org>  Thu, 27 Oct 2022 11:23:46 +0200

dballe (9.0-1) unstable; urgency=medium

  * New upstream version, see NEWS.md for what's new.
  * libdballe soname bump due to C++ ABI changes

 -- Enrico Zini <enrico@debian.org>  Mon, 14 Dec 2020 16:04:44 +0100
