=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: dballe
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Zini <enrico@debian.org>
-Build-Depends: debhelper (>= 10), dh-python,
-  pkg-config, libtool,
-  doxygen, help2man, python3-sphinx, python3-breathe,
+Maintainer: Enrico Zini <enrico@debian.org>
+Build-Depends:
+  debhelper-compat (= 13), dh-sequence-sphinxdoc, dh-sequence-fortran-mod, dh-python,
+  pkg-config, meson,
+  doxygen, help2man, python3-breathe,
   libsqlite3-dev (>= 3.14), libpq-dev, default-libmysqlclient-dev,
   libwreport-dev (>= 3.23-2), python3-wreport (>= 3.22),
   libwreport-doc (>= 3.23-2),
-  libpopt-dev, gperf,
+  libxapian-dev, libpopt-dev, gperf,
   gfortran | g77, g++ (>= 4:7),
-  python3-all-dev, python3-numpy, python3-docutils
-Standards-Version: 3.9.8.0
+  python3-dev, python3-numpy, python3-docutils
+Standards-Version: 4.6.1
 Homepage: https://github.com/ARPA-SIMC/dballe
-Vcs-Git: https://github.com/ARPA-SIMC/dballe
+Vcs-Git: https://github.com/ARPA-SIMC/dballe.git
+Vcs-Browser: https://github.com/ARPA-SIMC/dballe
 
 Package: libdballe-dev
 Section: libdevel
 Architecture: any
-Depends: libdballe8 (= ${binary:Version}), libwreport-dev (>= 3.22), ${misc:Depends}
+Depends: libdballe9 (= ${binary:Version}), libwreport-dev (>= 3.22), ${misc:Depends},
+  libsqlite3-dev (>= 3.14), libpq-dev, default-libmysqlclient-dev,
+  libpopt-dev, libxapian-dev
 Recommends: pkg-config
 Description: DB-All.e C development library for weather research
  DB-All.e is a fast on-disk database where meteorological observed and
@@ -56,7 +59,7 @@
  .
  This is the documentation for the DB_All.e development the library.
 
-Package: libdballe8
+Package: libdballe9
 Section: libs
 Architecture: any
 Depends: dballe-common, ${shlibs:Depends}, ${misc:Depends}
