=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --without autoreconf -Smeson --parallel

override_dh_makeshlibs:
	# For new symbols when compiled with GCC 7. See: #871272
	dh_makeshlibs -V'libdballe (>= 9.0-1~)'
